org.apache.cassandra.cql3

## Class IndexName

- java.lang.Object
- - org.apache.cassandra.cql3.IndexName

-     public class IndexName
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexName()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CFName` | `getCfName()`
    `java.lang.String` | `getIdx()`
    `java.lang.String` | `getKeyspace()`
    `boolean` | `hasKeyspace()`
    `void` | `setIndex(java.lang.String idx, boolean keepCase)`
    `void` | `setKeyspace(java.lang.String ks, boolean keepCase)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexName

          public IndexName()

  - ### Method Detail

    - #### setKeyspace

          public void setKeyspace(java.lang.String ks,
                         boolean keepCase)

    - #### setIndex

          public void setIndex(java.lang.String idx,
                      boolean keepCase)

    - #### hasKeyspace

          public boolean hasKeyspace()

    - #### getKeyspace

          public java.lang.String getKeyspace()

    - #### getIdx

          public java.lang.String getIdx()

    - #### getCfName

          public CFName getCfName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation